Index: trunk/lib/FlairCore/src/CheckBox.h
===================================================================
--- trunk/lib/FlairCore/src/CheckBox.h	(revision 14)
+++ trunk/lib/FlairCore/src/CheckBox.h	(revision 15)
@@ -16,61 +16,59 @@
 #include <Box.h>
 
-namespace flair
-{
-namespace gui
-{
+namespace flair {
+namespace gui {
 
-    class LayoutPosition;
+class LayoutPosition;
 
-    /*! \class CheckBox
-    *
-    * \brief Class displaying a QCheckBox on the ground station
-    *
-    */
-    class CheckBox: public Box
-    {
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct a QCheckBox at given position.
-            *
-            * \param position position to display the QCheckBox
-            * \param name name
-            * \param default_value default value if not in the xml config file
-            */
-            CheckBox(const LayoutPosition* position,std::string name,bool default_value=true);
+/*! \class CheckBox
+*
+* \brief Class displaying a QCheckBox on the ground station
+*
+*/
+class CheckBox : public Box {
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct a QCheckBox at given position.
+  *
+  * \param position position to display the QCheckBox
+  * \param name name
+  * \param default_value default value if not in the xml config file
+  */
+  CheckBox(const LayoutPosition *position, std::string name,
+           bool default_value = true);
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~CheckBox();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~CheckBox();
 
-            /*!
-            * \brief Is checked?
-            *
-            * \return true if checked
-            */
-            bool IsChecked(void) const;
+  /*!
+  * \brief Is checked?
+  *
+  * \return true if checked
+  */
+  bool IsChecked(void) const;
 
-            /*!
-            * \brief Value
-            *
-            * \return 1 if checked, 0 otherwise
-            */
-            int Value(void) const;
+  /*!
+  * \brief Value
+  *
+  * \return 1 if checked, 0 otherwise
+  */
+  int Value(void) const;
 
-        private:
-            /*!
-            * \brief XmlEvent from ground station
-            *
-            * Reimplemented from Widget.
-            *
-            */
-            void XmlEvent(void);
+private:
+  /*!
+  * \brief XmlEvent from ground station
+  *
+  * Reimplemented from Widget.
+  *
+  */
+  void XmlEvent(void);
 
-            bool box_value;
-    };
+  bool box_value;
+};
 
 } // end namespace gui
Index: trunk/lib/FlairCore/src/ComboBox.cpp
===================================================================
--- trunk/lib/FlairCore/src/ComboBox.cpp	(revision 14)
+++ trunk/lib/FlairCore/src/ComboBox.cpp	(revision 15)
@@ -19,46 +19,39 @@
 using std::string;
 
-namespace flair
-{
-namespace gui
-{
+namespace flair {
+namespace gui {
 
-ComboBox::ComboBox(const LayoutPosition* position,string name):Box(position,name,"ComboBox")
-{
-    //update value from xml file
-    box_value=0;
-    GetPersistentXmlProp("value",box_value);
-    SetPersistentXmlProp("value",box_value);
+ComboBox::ComboBox(const LayoutPosition *position, string name)
+    : Box(position, name, "ComboBox") {
+  // update value from xml file
+  box_value = 0;
+  GetPersistentXmlProp("value", box_value);
+  SetPersistentXmlProp("value", box_value);
 
-    SendXml();
+  SendXml();
 }
 
-ComboBox::~ComboBox()
-{
+ComboBox::~ComboBox() {}
 
+void ComboBox::AddItem(string name) {
+  SetVolatileXmlProp("item", name);
+  SendXml();
 }
 
-void ComboBox::AddItem(string name)
-{
-    SetVolatileXmlProp("item",name);
-    SendXml();
+int ComboBox::CurrentIndex(void) const {
+  int tmp;
+
+  GetMutex();
+  tmp = box_value;
+  ReleaseMutex();
+
+  return tmp;
 }
 
-int ComboBox::CurrentIndex(void) const
-{
-    int tmp;
-
-    GetMutex();
-    tmp=box_value;
-    ReleaseMutex();
-
-    return tmp;
-}
-
-void ComboBox::XmlEvent(void)
-{
-    GetMutex();
-    if(GetPersistentXmlProp("value",box_value)) SetValueChanged();
-    ReleaseMutex();
+void ComboBox::XmlEvent(void) {
+  GetMutex();
+  if (GetPersistentXmlProp("value", box_value))
+    SetValueChanged();
+  ReleaseMutex();
 }
 
Index: trunk/lib/FlairCore/src/ComboBox.h
===================================================================
--- trunk/lib/FlairCore/src/ComboBox.h	(revision 14)
+++ trunk/lib/FlairCore/src/ComboBox.h	(revision 15)
@@ -16,64 +16,61 @@
 #include <Box.h>
 
-namespace flair
-{
-namespace gui
-{
+namespace flair {
+namespace gui {
 
-    class LayoutPosition;
+class LayoutPosition;
 
-    /*! \class ComboBox
-    *
-    * \brief Class displaying a QComboBox on the ground station
-    *
-    */
-    class ComboBox: public Box
-    {
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct a QComboBox at given position.
-            *
-            * \param position position to display the QComboBox
-            * \param name name
-            */
-            ComboBox(const LayoutPosition* position,std::string name);
+/*! \class ComboBox
+*
+* \brief Class displaying a QComboBox on the ground station
+*
+*/
+class ComboBox : public Box {
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct a QComboBox at given position.
+  *
+  * \param position position to display the QComboBox
+  * \param name name
+  */
+  ComboBox(const LayoutPosition *position, std::string name);
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~ComboBox();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~ComboBox();
 
-             /*!
-            * \brief Add an item
-            *
-            * Add an item to the end of the list.
-            *
-            * \param name item nam
-            */
-            void AddItem(std::string name);
+  /*!
+ * \brief Add an item
+ *
+ * Add an item to the end of the list.
+ *
+ * \param name item nam
+ */
+  void AddItem(std::string name);
 
-            /*!
-            * \brief Currend index
-            *
-            * Index of the currently selected item. Items are numbered starting to 0.
-            *
-            * \return index number
-            */
-            int CurrentIndex(void) const;
+  /*!
+  * \brief Currend index
+  *
+  * Index of the currently selected item. Items are numbered starting to 0.
+  *
+  * \return index number
+  */
+  int CurrentIndex(void) const;
 
-        private:
-            /*!
-            * \brief XmlEvent from ground station
-            *
-            * Reimplemented from Widget.
-            *
-            */
-            void XmlEvent(void);
+private:
+  /*!
+  * \brief XmlEvent from ground station
+  *
+  * Reimplemented from Widget.
+  *
+  */
+  void XmlEvent(void);
 
-            int box_value;
-    };
+  int box_value;
+};
 
 } // end namespace gui
Index: trunk/lib/FlairCore/src/ConditionVariable.cpp
===================================================================
--- trunk/lib/FlairCore/src/ConditionVariable.cpp	(revision 14)
+++ trunk/lib/FlairCore/src/ConditionVariable.cpp	(revision 15)
@@ -21,25 +21,21 @@
 using std::string;
 
-namespace flair { namespace core {
+namespace flair {
+namespace core {
 
-ConditionVariable::ConditionVariable(const Object* parent,string name): Mutex(parent,name) {
-     pimpl_=new ConditionVariable_impl(this);
+ConditionVariable::ConditionVariable(const Object *parent, string name)
+    : Mutex(parent, name) {
+  pimpl_ = new ConditionVariable_impl(this);
 }
 
-ConditionVariable::~ConditionVariable() {
-    delete pimpl_;
+ConditionVariable::~ConditionVariable() { delete pimpl_; }
+
+void ConditionVariable::CondWait(void) { pimpl_->CondWait(); }
+
+bool ConditionVariable::CondWaitUntil(Time date) {
+  return pimpl_->CondWaitUntil(date);
 }
 
-void ConditionVariable::CondWait(void) {
-    pimpl_->CondWait();
-}
-
-bool ConditionVariable::CondWaitUntil(Time date) {
-    return pimpl_->CondWaitUntil(date);
-}
-
-void ConditionVariable::CondSignal(void) {
-    pimpl_->CondSignal();
-}
+void ConditionVariable::CondSignal(void) { pimpl_->CondSignal(); }
 
 } // end namespace core
Index: trunk/lib/FlairCore/src/ConditionVariable.h
===================================================================
--- trunk/lib/FlairCore/src/ConditionVariable.h	(revision 14)
+++ trunk/lib/FlairCore/src/ConditionVariable.h	(revision 15)
@@ -18,69 +18,75 @@
 class ConditionVariable_impl;
 
-namespace flair
-{
-namespace core
-{
+namespace flair {
+namespace core {
 
-    /*! \class ConditionVariable
-    *
-    * \brief Class defining a condition variable
-    *
-    */
+/*! \class ConditionVariable
+*
+* \brief Class defining a condition variable
+*
+*/
 
-    class ConditionVariable: public Mutex
-    {
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct a condition variable with its associated mutex.
-            *
-            * \param parent parent
-            * \param name name
-            */
-            ConditionVariable(const Object* parent,std::string name);
+class ConditionVariable : public Mutex {
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct a condition variable with its associated mutex.
+  *
+  * \param parent parent
+  * \param name name
+  */
+  ConditionVariable(const Object *parent, std::string name);
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~ConditionVariable();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~ConditionVariable();
 
-            /*!
-            * \brief Block on the condition variable
-            *
-            * This method must be called with mutex locked (see Mutex::GetMutex) by the calling thread or undefined behaviour will result. \n
-            * It atomically releases mutex and causes the calling thread to block on the condition variable. \n
-            * Only one thread can be blocked at the same time. \n
-            * Upon successful return, the mutex has been locked and is owned by the calling thread which should unlock it (see Mutex::ReleaseMutex).
-            */
-            void CondWait(void);
+  /*!
+  * \brief Block on the condition variable
+  *
+  * This method must be called with mutex locked (see Mutex::GetMutex) by the
+  *calling thread or undefined behaviour will result. \n
+  * It atomically releases mutex and causes the calling thread to block on the
+  *condition variable. \n
+  * Only one thread can be blocked at the same time. \n
+  * Upon successful return, the mutex has been locked and is owned by the
+  *calling thread which should unlock it (see Mutex::ReleaseMutex).
+  */
+  void CondWait(void);
 
-            /*!
-            * \brief Block on the condition variable with a timeout
-            *
-            * This method must be called with mutex locked (see Mutex::GetMutex) by the calling thread or undefined behaviour will result. \n
-            * It atomically releases mutex and causes the calling thread to block on the condition variable. \n
-            * Only one thread can be blocked at the same time. \n
-            * Upon successful return, the mutex has been locked and is owned by the calling thread which should unlock it (see Mutex::ReleaseMutex).
-            *
-            * \param date absolute date
-            * \return true if the condition variable is signaled before the date specified in parameter elapses, false otherwise
-            */
-            bool CondWaitUntil(Time date);
+  /*!
+  * \brief Block on the condition variable with a timeout
+  *
+  * This method must be called with mutex locked (see Mutex::GetMutex) by the
+  *calling thread or undefined behaviour will result. \n
+  * It atomically releases mutex and causes the calling thread to block on the
+  *condition variable. \n
+  * Only one thread can be blocked at the same time. \n
+  * Upon successful return, the mutex has been locked and is owned by the
+  *calling thread which should unlock it (see Mutex::ReleaseMutex).
+  *
+  * \param date absolute date
+  * \return true if the condition variable is signaled before the date specified
+  *in parameter elapses, false otherwise
+  */
+  bool CondWaitUntil(Time date);
 
-            /*!
-            * \brief Unblock threads blocked on the condition variable
-            *
-            * This method should be called with mutex locked (see Mutex::GetMutex) by the calling thread. \n
-            * In this case, upon return, the calling thread should unlock the mutex (see Mutex::ReleaseMutex).
-            *
-            */
-            void CondSignal(void);
+  /*!
+  * \brief Unblock threads blocked on the condition variable
+  *
+  * This method should be called with mutex locked (see Mutex::GetMutex) by the
+  *calling thread. \n
+  * In this case, upon return, the calling thread should unlock the mutex (see
+  *Mutex::ReleaseMutex).
+  *
+  */
+  void CondSignal(void);
 
-        private:
-            class ConditionVariable_impl* pimpl_;
-    };
+private:
+  class ConditionVariable_impl *pimpl_;
+};
 
 } // end namespace core
Index: trunk/lib/FlairCore/src/ConditionVariable_impl.cpp
===================================================================
--- trunk/lib/FlairCore/src/ConditionVariable_impl.cpp	(revision 14)
+++ trunk/lib/FlairCore/src/ConditionVariable_impl.cpp	(revision 15)
@@ -24,59 +24,67 @@
 using namespace flair::core;
 
-ConditionVariable_impl::ConditionVariable_impl(ConditionVariable* self) {
-    this->self=self;
-    int status;
+ConditionVariable_impl::ConditionVariable_impl(ConditionVariable *self) {
+  this->self = self;
+  int status;
 
 #ifdef __XENO__
-    status=rt_cond_create(&m_ResumeCond,NULL);
+  status = rt_cond_create(&m_ResumeCond, NULL);
 #else
-    status=pthread_cond_init(&m_ResumeCond, 0);
+  status = pthread_cond_init(&m_ResumeCond, 0);
 #endif
-    if(status!=0) self->Err("error creating condition variable (%s)\n",strerror(-status));
+  if (status != 0)
+    self->Err("error creating condition variable (%s)\n", strerror(-status));
 }
 
 ConditionVariable_impl::~ConditionVariable_impl() {
-    int status;
+  int status;
 
 #ifdef __XENO__
-    status=rt_cond_delete(&m_ResumeCond);
+  status = rt_cond_delete(&m_ResumeCond);
 #else
-    status=pthread_cond_destroy(&m_ResumeCond);
+  status = pthread_cond_destroy(&m_ResumeCond);
 #endif
-    if(status!=0) self->Err("error destroying condition variable (%s)\n",strerror(-status));
+  if (status != 0)
+    self->Err("error destroying condition variable (%s)\n", strerror(-status));
 }
 
 void ConditionVariable_impl::CondWait(void) {
-    int status;
+  int status;
 #ifdef __XENO__
-    status=rt_cond_wait(&m_ResumeCond, &self->Mutex::pimpl_->mutex,TM_INFINITE);
+  status =
+      rt_cond_wait(&m_ResumeCond, &self->Mutex::pimpl_->mutex, TM_INFINITE);
 #else
-    status=pthread_cond_wait(&m_ResumeCond, &self->Mutex::pimpl_->mutex);
+  status = pthread_cond_wait(&m_ResumeCond, &self->Mutex::pimpl_->mutex);
 #endif
-    if(status!=0) self->Err("error (%s)\n",strerror(-status));
+  if (status != 0)
+    self->Err("error (%s)\n", strerror(-status));
 }
 
 bool ConditionVariable_impl::CondWaitUntil(Time date) {
-    int status;
+  int status;
 #ifdef __XENO__
-    status=rt_cond_wait_until(&m_ResumeCond, &self->Mutex::pimpl_->mutex,date);
+  status = rt_cond_wait_until(&m_ResumeCond, &self->Mutex::pimpl_->mutex, date);
 #else
-    struct timespec restrict;
-    restrict.tv_sec=date/1000000000;
-    restrict.tv_nsec=date%1000000000;
-    status=pthread_cond_timedwait(&m_ResumeCond, &self->Mutex::pimpl_->mutex,&restrict);
+  struct timespec restrict;
+  restrict.tv_sec = date / 1000000000;
+  restrict.tv_nsec = date % 1000000000;
+  status = pthread_cond_timedwait(&m_ResumeCond, &self->Mutex::pimpl_->mutex,
+                                  &restrict);
 #endif
-    if (status==0) return true;
-    if(status!=ETIMEDOUT) self->Err("error (%s)\n",strerror(-status));
-    return false;
+  if (status == 0)
+    return true;
+  if (status != ETIMEDOUT)
+    self->Err("error (%s)\n", strerror(-status));
+  return false;
 }
 
 void ConditionVariable_impl::CondSignal(void) {
-     int status;
+  int status;
 #ifdef __XENO__
-    status=rt_cond_signal(&m_ResumeCond);
+  status = rt_cond_signal(&m_ResumeCond);
 #else
-    status=pthread_cond_signal(&m_ResumeCond);
+  status = pthread_cond_signal(&m_ResumeCond);
 #endif
-    if(status!=0) self->Err("error (%s)\n",strerror(-status));
+  if (status != 0)
+    self->Err("error (%s)\n", strerror(-status));
 }
Index: trunk/lib/FlairCore/src/ConnectedSocket.cpp
===================================================================
--- trunk/lib/FlairCore/src/ConnectedSocket.cpp	(revision 14)
+++ trunk/lib/FlairCore/src/ConnectedSocket.cpp	(revision 15)
@@ -21,88 +21,100 @@
 using std::string;
 
-namespace flair
-{
-namespace core
-{
+namespace flair {
+namespace core {
 
-ConnectedSocket::ConnectedSocket(const Object* parent,const std::string name):Object(parent,name) {};
+ConnectedSocket::ConnectedSocket(const Object *parent, const std::string name)
+    : Object(parent, name){};
 
-ConnectedSocket::~ConnectedSocket() {};
+ConnectedSocket::~ConnectedSocket(){};
 
-uint16_t ConnectedSocket::ReadUInt16(Time const& timeout) {
-    char buffer[sizeof(uint16_t)];
-    size_t alreadyReceived=0;
-    Time remainingTimeout=timeout; //ms
-    do {
-        Time beforeTime=GetTime(); //ns
-        ssize_t received=RecvMessage(buffer+alreadyReceived,sizeof(uint16_t)-alreadyReceived,remainingTimeout);
-        remainingTimeout-=(GetTime()-beforeTime)/100000;
-        if ((received<0) || (remainingTimeout<0)) throw std::runtime_error("Timeout");
-        alreadyReceived+=received;
-    } while (alreadyReceived!=sizeof(uint16_t));
-    uint16_t *dataInNetworkEndianness=(uint16_t*)buffer;
-    uint16_t myinteger=NetworkToHost16(*dataInNetworkEndianness);
-    return myinteger;
+uint16_t ConnectedSocket::ReadUInt16(Time const &timeout) {
+  char buffer[sizeof(uint16_t)];
+  size_t alreadyReceived = 0;
+  Time remainingTimeout = timeout; // ms
+  do {
+    Time beforeTime = GetTime(); // ns
+    ssize_t received =
+        RecvMessage(buffer + alreadyReceived,
+                    sizeof(uint16_t) - alreadyReceived, remainingTimeout);
+    remainingTimeout -= (GetTime() - beforeTime) / 100000;
+    if ((received < 0) || (remainingTimeout < 0))
+      throw std::runtime_error("Timeout");
+    alreadyReceived += received;
+  } while (alreadyReceived != sizeof(uint16_t));
+  uint16_t *dataInNetworkEndianness = (uint16_t *)buffer;
+  uint16_t myinteger = NetworkToHost16(*dataInNetworkEndianness);
+  return myinteger;
 }
 
-void ConnectedSocket::WriteUInt16(uint16_t const& data,Time const& timeout) {
-    uint16_t dataInNetworkEndianness=HostToNetwork16(data);
-    char *buffer=(char *)&dataInNetworkEndianness;
-    size_t alreadySent=0;
-    Time remainingTimeout=timeout; //ms
-    do {
-        Time beforeTime=GetTime(); //ns
-        ssize_t sent=SendMessage(buffer+alreadySent,sizeof(uint16_t)-alreadySent,remainingTimeout);
-        remainingTimeout-=(GetTime()-beforeTime)/100000;
-        if ((sent<0) || (remainingTimeout<0)) throw std::runtime_error("Timeout");
-        alreadySent+=sent;
-    } while (alreadySent!=sizeof(uint16_t));
+void ConnectedSocket::WriteUInt16(uint16_t const &data, Time const &timeout) {
+  uint16_t dataInNetworkEndianness = HostToNetwork16(data);
+  char *buffer = (char *)&dataInNetworkEndianness;
+  size_t alreadySent = 0;
+  Time remainingTimeout = timeout; // ms
+  do {
+    Time beforeTime = GetTime(); // ns
+    ssize_t sent = SendMessage(
+        buffer + alreadySent, sizeof(uint16_t) - alreadySent, remainingTimeout);
+    remainingTimeout -= (GetTime() - beforeTime) / 100000;
+    if ((sent < 0) || (remainingTimeout < 0))
+      throw std::runtime_error("Timeout");
+    alreadySent += sent;
+  } while (alreadySent != sizeof(uint16_t));
 }
 
-uint32_t ConnectedSocket::ReadUInt32(Time const& timeout) {
-    char buffer[sizeof(uint32_t)];
-    size_t alreadyReceived=0;
-    Time remainingTimeout=timeout; //ms
-    do {
-        Time beforeTime=GetTime(); //ns
-        ssize_t received=RecvMessage(buffer+alreadyReceived,sizeof(uint32_t)-alreadyReceived,remainingTimeout);
-        remainingTimeout-=(GetTime()-beforeTime)/100000;
-        if ((received<0) || (remainingTimeout<0)) throw std::runtime_error("Timeout");
-        alreadyReceived+=received;
-    } while (alreadyReceived!=sizeof(uint32_t));
-    uint32_t *dataInNetworkEndianness=(uint32_t*)buffer;
-    uint32_t myinteger=NetworkToHost32(*dataInNetworkEndianness);
-    return myinteger;
+uint32_t ConnectedSocket::ReadUInt32(Time const &timeout) {
+  char buffer[sizeof(uint32_t)];
+  size_t alreadyReceived = 0;
+  Time remainingTimeout = timeout; // ms
+  do {
+    Time beforeTime = GetTime(); // ns
+    ssize_t received =
+        RecvMessage(buffer + alreadyReceived,
+                    sizeof(uint32_t) - alreadyReceived, remainingTimeout);
+    remainingTimeout -= (GetTime() - beforeTime) / 100000;
+    if ((received < 0) || (remainingTimeout < 0))
+      throw std::runtime_error("Timeout");
+    alreadyReceived += received;
+  } while (alreadyReceived != sizeof(uint32_t));
+  uint32_t *dataInNetworkEndianness = (uint32_t *)buffer;
+  uint32_t myinteger = NetworkToHost32(*dataInNetworkEndianness);
+  return myinteger;
 }
 
-void ConnectedSocket::WriteUInt32(uint32_t const& data,Time const& timeout) {
-    uint32_t dataInNetworkEndianness=HostToNetwork32(data);
-    char *buffer=(char *)&dataInNetworkEndianness;
-    size_t alreadySent=0;
-    Time remainingTimeout=timeout; //ms
-    do {
-        Time beforeTime=GetTime(); //ns
-        ssize_t sent=SendMessage(buffer+alreadySent,sizeof(uint32_t)-alreadySent,remainingTimeout);
-        remainingTimeout-=(GetTime()-beforeTime)/100000;
-        if ((sent<0) || (remainingTimeout<0)) throw std::runtime_error("Timeout");
-        alreadySent+=sent;
-    } while (alreadySent!=sizeof(uint32_t));
+void ConnectedSocket::WriteUInt32(uint32_t const &data, Time const &timeout) {
+  uint32_t dataInNetworkEndianness = HostToNetwork32(data);
+  char *buffer = (char *)&dataInNetworkEndianness;
+  size_t alreadySent = 0;
+  Time remainingTimeout = timeout; // ms
+  do {
+    Time beforeTime = GetTime(); // ns
+    ssize_t sent = SendMessage(
+        buffer + alreadySent, sizeof(uint32_t) - alreadySent, remainingTimeout);
+    remainingTimeout -= (GetTime() - beforeTime) / 100000;
+    if ((sent < 0) || (remainingTimeout < 0))
+      throw std::runtime_error("Timeout");
+    alreadySent += sent;
+  } while (alreadySent != sizeof(uint32_t));
 }
 
 string ConnectedSocket::ReadString(const size_t &stringSize, Time timeout) {
-    char buffer[stringSize+1];
-    size_t alreadyReceived=0;
-    Time remainingTimeout=timeout; //ms
-    do {
-        Time beforeTime=GetTime(); //ns
-        ssize_t received=RecvMessage(buffer+alreadyReceived,stringSize-alreadyReceived,remainingTimeout);
-        remainingTimeout-=(GetTime()-beforeTime)/100000;
-        if ((received<0) || (remainingTimeout<0)) throw std::runtime_error("Timeout");
-        alreadyReceived+=received;
-    } while (alreadyReceived!=stringSize);
-    buffer[stringSize]='\0';
+  char buffer[stringSize + 1];
+  size_t alreadyReceived = 0;
+  Time remainingTimeout = timeout; // ms
+  do {
+    Time beforeTime = GetTime(); // ns
+    ssize_t received =
+        RecvMessage(buffer + alreadyReceived, stringSize - alreadyReceived,
+                    remainingTimeout);
+    remainingTimeout -= (GetTime() - beforeTime) / 100000;
+    if ((received < 0) || (remainingTimeout < 0))
+      throw std::runtime_error("Timeout");
+    alreadyReceived += received;
+  } while (alreadyReceived != stringSize);
+  buffer[stringSize] = '\0';
 
-    string mystring=buffer;
-    return mystring;
+  string mystring = buffer;
+  return mystring;
 }
 
Index: trunk/lib/FlairCore/src/ConnectedSocket.h
===================================================================
--- trunk/lib/FlairCore/src/ConnectedSocket.h	(revision 14)
+++ trunk/lib/FlairCore/src/ConnectedSocket.h	(revision 15)
@@ -16,89 +16,93 @@
 #include <Object.h>
 
-namespace flair
-{
-namespace core
-{
+namespace flair {
+namespace core {
 
-    /*! \class ConnectedSocket
-    *
-    * \brief Interface class encapsulating a connected socket. Preserves packets order and guaranty delivery.
-    *
-    */
-    class ConnectedSocket: public Object {
-    public:
-        /*!
-        * \brief Constructor
-        *
-        */
-        ConnectedSocket(const Object* parent,const std::string name);
+/*! \class ConnectedSocket
+*
+* \brief Interface class encapsulating a connected socket. Preserves packets
+*order and guaranty delivery.
+*
+*/
+class ConnectedSocket : public Object {
+public:
+  /*!
+  * \brief Constructor
+  *
+  */
+  ConnectedSocket(const Object *parent, const std::string name);
 
-        /*!
-        * \brief Destructor
-        *
-        */
-        ~ConnectedSocket();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~ConnectedSocket();
 
-        /*!
-        * \brief Returns a socket which listens on a specific port/address
-        *
-        * \param const Object* parentObject
-        * \param const string name
-        * \param unsigned int port
-        * \param const localAddress (defaults to any)
-        */
-        virtual void Listen(const unsigned int port,const std::string localAddress="ANY")=0;
+  /*!
+  * \brief Returns a socket which listens on a specific port/address
+  *
+  * \param const Object* parentObject
+  * \param const string name
+  * \param unsigned int port
+  * \param const localAddress (defaults to any)
+  */
+  virtual void Listen(const unsigned int port,
+                      const std::string localAddress = "ANY") = 0;
 
-        /*!
-        * \brief Returns a socket on a new incoming connexion
-        *
-        * \param ConnectedSocket &listeningSocket
-        */
-        virtual ConnectedSocket *Accept(Time timeout)=0; //should throw an exception if not a listening socket
+  /*!
+  * \brief Returns a socket on a new incoming connexion
+  *
+  * \param ConnectedSocket &listeningSocket
+  */
+  virtual ConnectedSocket *Accept(
+      Time timeout) = 0; // should throw an exception if not a listening socket
 
-        /*!
-        * \brief Returns a socket connected to a distant host
-        *
-        * \param const Object* parentObject
-        * \param const string name
-        * \param unsigned int port
-        * \param const distantAddress
-        * \param timeout timeout (in milliseconds)
-        */
-        virtual bool Connect(const unsigned int port,const std::string distantAddress,Time timeout)=0;
+  /*!
+  * \brief Returns a socket connected to a distant host
+  *
+  * \param const Object* parentObject
+  * \param const string name
+  * \param unsigned int port
+  * \param const distantAddress
+  * \param timeout timeout (in milliseconds)
+  */
+  virtual bool Connect(const unsigned int port,
+                       const std::string distantAddress, Time timeout) = 0;
 
-        /*!
-        * \brief Send a message
-        *
-        * \param message message
-        * \param message_len message length
-        * \param timeout timeout (in milliseconds)
-        */
-        virtual ssize_t SendMessage(const char* message,size_t message_len,Time timeout)=0;
+  /*!
+  * \brief Send a message
+  *
+  * \param message message
+  * \param message_len message length
+  * \param timeout timeout (in milliseconds)
+  */
+  virtual ssize_t SendMessage(const char *message, size_t message_len,
+                              Time timeout) = 0;
 
-        /*!
-        * \brief Receive a message
-        *
-        * Receive a message and wait up to timeout. \n
-        *
-        * \param buf buffer to put the message
-        * \param buf_len buffer length
-        * \param timeout timeout (in milliseconds)
-        *
-        * \return size of the received message
-        */
-        virtual ssize_t RecvMessage(char* buf,size_t buf_len,Time timeout)=0;
+  /*!
+  * \brief Receive a message
+  *
+  * Receive a message and wait up to timeout. \n
+  *
+  * \param buf buffer to put the message
+  * \param buf_len buffer length
+  * \param timeout timeout (in milliseconds)
+  *
+  * \return size of the received message
+  */
+  virtual ssize_t RecvMessage(char *buf, size_t buf_len, Time timeout) = 0;
 
-        std::string ReadString(const size_t &stringLength, Time timeout);
-        uint16_t ReadUInt16(Time const& timeout);
-        void WriteUInt16(uint16_t const& data,Time const& timeout);
-        uint32_t ReadUInt32(Time const& timeout);
-        void WriteUInt32(uint32_t const& data,Time const& timeout);
+  std::string ReadString(const size_t &stringLength, Time timeout);
+  uint16_t ReadUInt16(Time const &timeout);
+  void WriteUInt16(uint16_t const &data, Time const &timeout);
+  uint32_t ReadUInt32(Time const &timeout);
+  void WriteUInt32(uint32_t const &data, Time const &timeout);
 
-        //!! See Socket.h for a more generic implementation of network/host endianness conversion
-        virtual uint16_t NetworkToHost16(uint16_t data)=0;
-        virtual uint16_t HostToNetwork16(uint16_t data)=0;
-        virtual uint32_t NetworkToHost32(uint32_t data)=0;
-        virtual uint32_t HostToNetwork32(uint32_t data)=0;
+  //!! See Socket.h for a more generic implementation of network/host endianness
+  //conversion
+  virtual uint16_t NetworkToHost16(uint16_t data) = 0;
+  virtual uint16_t HostToNetwork16(uint16_t data) = 0;
+  virtual uint32_t NetworkToHost32(uint32_t data) = 0;
+  virtual uint32_t HostToNetwork32(uint32_t data) = 0;
 };
 
